Subject: Re: [bug#56771] [PATCH 00/33] *** Update Jami to 20220725, core Qt packages along the way

From: Maxime Devos <[email-masked]>
Date: Sat, 6 Aug 2022 21:15:25 +0200

On 06-08-2022 06:56, Maxim Cournoyer wrote:
> Apologies, I think your comment about me changing #$ to #+ fell into the
> cracks.  I made that change because qtbase was added as a build-inputs
> (meaning, native input), as it provides tools that need to run on the
> host, such as qmake.  But you are right that Qt programs link to its
> libraries, and thus a second qtbase would need to be added to host
> inputs for cross-compilation. We should add qtbase there too, but it'd
> be nice to confirm cross-compilation can work.

I think it can wait until Qt things are actually cross-compilable.

For the interested, the (merged!) 56882 makes one of the dependencies 
cross-compilable, but some dependencies of GTK (which itself apparently 
a dependency of Qt?) are failing to cross-compile.

Greetings,
Maxime.